index : mkinitcpio-archiso32 | |
Archlinux32 initcpio scripts used by archiso | gitolite user |
summaryrefslogtreecommitdiff |
author | David Runge <dvzrv@archlinux.org> | 2021-11-02 20:13:47 +0100 |
---|---|---|
committer | David Runge <dvzrv@archlinux.org> | 2021-11-02 20:13:47 +0100 |
commit | 1aa8e8c77ba51c231d8ca82c9a837a1fe773d08e (patch) | |
tree | eab0b9c8923109883acc117cf1c0c4831ad2a026 /hooks/archiso | |
parent | 28fbedf71084a36d42e092d4e9fb973bc930f6fc (diff) | |
parent | 75fd6d38e8abb29465645826393fb302bd587e09 (diff) |
-rw-r--r-- | hooks/archiso | 10 |
diff --git a/hooks/archiso b/hooks/archiso index 742fbbf..0ba4d07 100644 --- a/hooks/archiso +++ b/hooks/archiso @@ -158,7 +158,7 @@ _verify_signature() { local _status local sigfile="${1}" cd "/run/archiso/bootmnt/${archisobasedir}/${arch}" || exit 1 - gpg --homedir /gpg --status-fd 1 --verify "${sigfile}" 2>/dev/null | grep -qE '^\[GNUPG:\] GOODSIG' + gpg --homedir /gpg --status-fd 1 --verify "${sigfile}" 2>/dev/null | grep -E '^\[GNUPG:\] GOODSIG' _status=$? cd -- "${OLDPWD}" || exit 1 return ${_status} @@ -210,9 +210,9 @@ archiso_mount_handler() { # defined via initcpio's parse_cmdline() if [ "${checksum}" = "y" ]; then if [ -f "/run/archiso/bootmnt/${archisobasedir}/${arch}/airootfs.sha512" ]; then - msg -n ":: Self-test requested, please wait..." + msg ":: Self-test requested, please wait..." if _verify_checksum; then - msg "done. Checksum is OK, continue booting." + msg "Checksum is OK, continue booting." else echo "ERROR: one or more files are corrupted" echo "see /tmp/checksum.log for details" @@ -233,9 +233,9 @@ archiso_mount_handler() { sigfile="airootfs.erofs.sig" fi if [ -n "${sigfile}" ]; then - msg -n ":: Signature verification requested, please wait..." + msg ":: Signature verification requested, please wait..." if _verify_signature "${sigfile}"; then - msg "done. Signature is OK, continue booting." + msg "Signature is OK, continue booting." else echo "ERROR: one or more files are corrupted" launch_interactive_shell |